#include <windows.h>
#include <cstdlib> // for system(pause)

#include "mygame.h"

#ifdef _DEBUG
int main( char * argv[], int argc )
#else
int WINAPI WinMain( HINSTANCE instance, HINSTANCE, LPSTR commandLine, int commandShow )
#endif
{
	if ( Gx::Application::initialize() )
	{
		MyGame game;
		Gx::Application::run(game);
	}

#ifdef _DEBUG
	std::system("pause");
#endif
	return Gx::Application::getExitCode();
}